Name:           perl-Hash-Layout
Version:        1.02
Release:        2%{?dist}
Summary:        Hashes with predefined levels, composite keys and default values
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/Hash-Layout/
Source0:        http://www.cpan.org/authors/id/V/VA/VANSTYN/Hash-Layout-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Clone)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Hash::Merge::Simple)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Types::Standard)
BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Hash::Layout provides deep hashes with a predefined number of levels which
you can access using special "composite keys". These are essentially string
paths that inflate into actual hash keys according to the defined levels
and delimiter mappings, which can be the same or different for each level.
This is useful both for shorter keys as well as merge/fallback to default
values, such as when defining overlapping configs ranging from broad to
narrowing scope.

%prep
%setup -q -n Hash-Layout-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
RELEASE_TESTING=1 make test

%files
%doc Changes README README.md
%license LICENSE
%{perl_vendorlib}/Hash*
%{_mandir}/man3/Hash*

%changelog
* Tue Jul 14 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 1.02-2
- Take into account review comments (#1242663)

* Sat Jul 11 2015 Emmanuel Seyman <emmanuel@seyman.fr> 1.02-1
- Specfile autogenerated by cpanspec 1.78.
